Share via


Managed Database Vulnerability Assessment Rule Baselines - Get

Gets a database's vulnerability assessment rule baseline.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/vulnerabilityAssessments/default/rules/{ruleId}/baselines/{baselineName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
baselineName
path True

VulnerabilityAssessmentPolicyBaselineName

The name of the vulnerability assessment rule baseline (default implies a baseline on a database level rule and master for server level rule).

databaseName
path True

string

The name of the database for which the vulnerability assessment rule baseline is defined.

managedInstanceName
path True

string

The name of the managed instance.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

ruleId
path True

string

The vulnerability assessment rule ID.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

vulnerabilityAssessmentName
path True

VulnerabilityAssessmentName

The name of the vulnerability assessment.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DatabaseVulnerabilityAssessmentRuleBaseline

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets a database's vulnerability assessment rule baseline.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/vulnerabilityaseessmenttest-4711/providers/Microsoft.Sql/managedInstances/vulnerabilityaseessmenttest-6411/databases/testdb/vulnerabilityAssessments/default/rules/VA1001/baselines/master?api-version=2025-01-01

Sample response

{
  "name": "default",
  "type": "Microsoft.Sql/servers/databases/vulnerabilityAssessments/rules/baselines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/vulnerabilityaseessmenttest-4799/providers/Microsoft.Sql/managedInstances/vulnerabilityaseessmenttest-6440/databases/testdb/vulnerabilityAssessments/default/rules/VA1001/baselines/default",
  "properties": {
    "baselineResults": [
      {
        "result": [
          "userA",
          "SELECT"
        ]
      },
      {
        "result": [
          "userB",
          "SELECT"
        ]
      },
      {
        "result": [
          "userC",
          "SELECT",
          "tableId_4"
        ]
      }
    ]
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DatabaseVulnerabilityAssessmentRuleBaseline

A database vulnerability assessment rule baseline.

DatabaseVulnerabilityAssessmentRuleBaselineItem

Properties for an Azure SQL Database Vulnerability Assessment rule baseline's result.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

systemData

Metadata pertaining to creation and last modification of the resource.

VulnerabilityAssessmentName
VulnerabilityAssessmentPolicyBaselineName

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DatabaseVulnerabilityAssessmentRuleBaseline

A database vulnerability assessment rule baseline.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.baselineResults

DatabaseVulnerabilityAssessmentRuleBaselineItem[]

The rule baseline result

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DatabaseVulnerabilityAssessmentRuleBaselineItem

Properties for an Azure SQL Database Vulnerability Assessment rule baseline's result.

Name Type Description
result

string[]

The rule baseline result

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

VulnerabilityAssessmentName

Value Description
default

default

VulnerabilityAssessmentPolicyBaselineName

Value Description
master

master

default

default